import java.sql.*;
import java.io.*;
import java.util.StringTokenizer;

public class Import {

    public static void main(String[] args) throws Exception {

	BufferedReader br=new BufferedReader(new FileReader(new File("data.txt")));

	/**
	 * Replace the Driver name and connection parameters below to work with a db manager other
	 * than MySql.
	 * But before, create a database named 'pie' and a table named 'pietable' with the following
	 * structure:
	 * Field       Type
	 * =====       ====
	 * title      char(10)
	 * value      float
	 */
	Class.forName("org.gjt.mm.mysql.Driver");
	Connection con=DriverManager.getConnection("jdbc:mysql://localhost:3306/pie","root","ptax7mf3");
	Statement stmt=con.createStatement();

	// Delete all records previously added to the table.
	stmt.executeUpdate("DELETE FROM pietable");

	String line=null;
	String title=null,value=null;

	while ((line=br.readLine())!=null) {
	    
	    StringTokenizer st=new StringTokenizer(line,"\t");
	    
	    int countTokens=0;

	    while (st.hasMoreElements()) {

		String token=(String)st.nextElement();

		switch (countTokens) {
		case 0: 
		    title=token;
		    break;
		case 1: 
		    value=token;
		    break;
		}

		countTokens++;
	    }
	    
	    String sql="INSERT INTO pietable VALUES ('"+title+"',"+value+")";
	    
	    stmt.executeUpdate(sql);
	    
	}

	br.close();
	stmt.close();
	con.close();

    }

}
